qspipsu: XQspiPsu Struct Reference

| qspipsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XQspiPsu Struct Reference
Qspipsu_v1_10

The XQspiPsu driver instance data. More...

## Data Fields
XQspiPsu_Config | Config
| Configuration structure. More...
u32 | IsReady
| Device is initialized and ready. More...
u8 * | SendBufferPtr
| Buffer to send (state) More...
u8 * | RecvBufferPtr
| Buffer to receive (state) More...
u64 | RecvBuffer
| Buffer Address to receive (state) More...
u8 * | GenFifoBufferPtr
| Gen FIFO entries. More...
s32 | TxBytes
| Number of bytes to transfer (state) More...
s32 | RxBytes
| Number of bytes left to transfer(state) More...
s32 | GenFifoEntries
| Number of Gen FIFO entries remaining. More...
u32 | IsBusy
| A transfer is in progress (state) More...
u32 | ReadMode
| DMA or IO mode. More...
void * | StatusRef
| Callback reference for status handler. More...

## Detailed Description

The XQspiPsu driver instance data.

The user is required to allocate a variable of this type for every QSPIPSU device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XQspiPsu_Config XQspiPsu::Config

Configuration structure.

Referenced by BulkErase(), DieErase(), FlashEnableQuadMode(), FlashEnterExit4BAddMode(), FlashErase(), FlashRead(), FlashReadID(), FlashWrite(), GetRealAddr(), MultiDieRead(), QspiPsuConfigurePoll(), QspiPsuInterruptFlashExample(), QspiPsuWriteProtectFlashExample(), XQspiPsu_Abort(), XQspiPsu_CfgInitialize(), XQspiPsu_ClearOptions(), XQspiPsu_GetOptions(), XQspiPsu_Idle(), XQspiPsu_InterruptHandler(), XQspiPsu_InterruptTransfer(), XQspiPsu_PolledTransfer(), XQspiPsu_Reset(), XQspiPsu_SetClkPrescaler(), XQspiPsu_SetOptions(), XQspiPsu_SetReadMode(), XQspiPsu_SetWP(), and XQspiPsu_WriteProtectToggle().

u8* XQspiPsu::GenFifoBufferPtr

Gen FIFO entries.

Referenced by XQspiPsu_CfgInitialize().

s32 XQspiPsu::GenFifoEntries

Number of Gen FIFO entries remaining.

Referenced by XQspiPsu_Abort(), and XQspiPsu_CfgInitialize().

u32 XQspiPsu::IsBusy

A transfer is in progress (state)

Referenced by XQspiPsu_Abort(), XQspiPsu_CfgInitialize(), XQspiPsu_ClearOptions(), XQspiPsu_InterruptHandler(), XQspiPsu_InterruptTransfer(), XQspiPsu_PolledTransfer(), XQspiPsu_SetClkPrescaler(), XQspiPsu_SetOptions(), and XQspiPsu_SetReadMode().

u32 XQspiPsu::IsReady

Device is initialized and ready.

Referenced by XQspiPsu_CfgInitialize(), XQspiPsu_ClearOptions(), XQspiPsu_GetOptions(), XQspiPsu_InterruptTransfer(), XQspiPsu_LqspiRead(), XQspiPsu_PolledTransfer(), XQspiPsu_SetClkPrescaler(), XQspiPsu_SetOptions(), XQspiPsu_SetReadMode(), and XQspiPsu_SetStatusHandler().

u32 XQspiPsu::ReadMode

DMA or IO mode.

Referenced by XQspiPsu_Abort(), XQspiPsu_CfgInitialize(), XQspiPsu_InterruptHandler(), XQspiPsu_InterruptTransfer(), XQspiPsu_PolledTransfer(), and XQspiPsu_SetReadMode().

u64 XQspiPsu::RecvBuffer

Buffer Address to receive (state)

u8* XQspiPsu::RecvBufferPtr

Buffer to receive (state)

Referenced by XQspiPsu_CfgInitialize().

s32 XQspiPsu::RxBytes

Number of bytes left to transfer(state)

Referenced by XQspiPsu_Abort(), XQspiPsu_CfgInitialize(), XQspiPsu_InterruptHandler(), and XQspiPsu_PolledTransfer().

u8* XQspiPsu::SendBufferPtr

Buffer to send (state)

Referenced by XQspiPsu_CfgInitialize().

void* XQspiPsu::StatusRef

Callback reference for status handler.

Referenced by XQspiPsu_InterruptHandler(), and XQspiPsu_SetStatusHandler().

s32 XQspiPsu::TxBytes

Number of bytes to transfer (state)

Referenced by XQspiPsu_Abort(), XQspiPsu_CfgInitialize(), XQspiPsu_InterruptHandler(), and XQspiPsu_PolledTransfer().